local T, C, L, _ = unpack(select(2, ...))
if C.skins.blizzard_frames ~= true then return end

----------------------------------------------------------------------------------------
--	PvE skin
----------------------------------------------------------------------------------------
local function LoadSkin()
	local CloseButton = select(3, LFGParentFrame:GetChildren())
	T.SkinCloseButton(CloseButton)
	CloseButton:SetPoint("TOPRIGHT", -36, -16)	

	LFGParentFrame:StripTextures(true)
	LFGParentFrame:CreateBackdrop("Transparent")
	LFGParentFrame.backdrop:SetPoint("TOPLEFT", 10, -12)
	LFGParentFrame.backdrop:SetPoint("BOTTOMRIGHT", -32, 76)
	LFGParentFrameIcon:SetAlpha(0)
	LFGParentFrameBackground:SetAlpha(0)

	for i = 1, 3 do
		T.SkinDropDownBox(_G["LFGFrameTypeDropDown"..i], 245)
		T.SkinDropDownBox(_G["LFGFrameActivityDropDown"..i], 245)

		local bg = _G["LFGSearchBg"..i]
		bg:SetTexture("Interface\\Icons\\INV_Misc_QuestionMark")
		local icon = _G["LFGSearchIcon"..i]
		icon:SetAllPoints(bg)
		icon:SetTexCoord(.03, .78, .03, .71)
	end

	T.SkinEditBox(LFGComment, 300)
	LFGFrameClearAllButton:SkinButton()
	LFGFramePostButton:SkinButton()
	T.SkinTab(LFGParentFrameTab1)
	T.SkinTab(LFGParentFrameTab2)

	-- LFM Frame
	for i = 1, 4 do
		_G["LFMFrameColumnHeader"..i]:StripTextures(true)
	end

	T.SkinDropDownBox(LFMFrameTypeDropDown, 130)
	T.SkinDropDownBox(LFMFrameActivityDropDown, 215)
	LFMFrameActivityDropDown:ClearAllPoints()
	LFMFrameActivityDropDown:SetPoint("LEFT", LFMFrameTypeDropDown, "RIGHT", -10, 0)
	LFMFrameSearchButton:SkinButton()
	LFMFrameSendMessageButton:SkinButton()
	LFMFrameGroupInviteButton:SkinButton()
	LFMFrameInset:StripTextures()
	LFMFrameInset:ClearAllPoints()
	LFMFrameInset:SetPoint("TOPLEFT", LFMFrameColumnHeader1, "BOTTOMLEFT", 0, -4)
	LFMFrameInset:SetPoint("BOTTOMRIGHT", LFMFrameColumnHeader4, "BOTTOMRIGHT", 0, -266)
	LFMFrameInset:SetTemplate("Overlay")

	for i = 1, 16 do
		_G["LFMFrameButton"..i.."Level"]:SetWidth(24)
	end
end

T.SkinFuncs["Blizzard_LookingForGroupUI"] = LoadSkin